Package be.e_contract.ejsf.behavior.closedialog

# Class CloseDialogClientBehavior

java.lang.Object
javax.faces.component.behavior.BehaviorBase
javax.faces.component.behavior.ClientBehaviorBase
be.e_contract.ejsf.behavior.closedialog.CloseDialogClientBehavior

All Implemented Interfaces:
  `javax.faces.component.behavior.Behavior`, `javax.faces.component.behavior.ClientBehavior`, `javax.faces.component.PartialStateHolder`, `javax.faces.component.StateHolder`

public class CloseDialogClientBehavior extends javax.faces.component.behavior.ClientBehaviorBase

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BEHAVIOR_ID`

## Constructor Summary

Constructors
Constructor
Description
`CloseDialogClientBehavior()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getRendererType()`
`String`
`getTarget()`
`String`
`getWhenCallbackParam()`
`Boolean`
`getWhenValid()`
`boolean`
`isNoAjax()`
`void`
`setNoAjax(boolean noAjax)`
`void`
`setTarget(String target)`
`void`
`setWhenCallbackParam(String whenCallbackParam)`
`void`
`setWhenValid(Boolean whenValid)`

### Methods inherited from class javax.faces.component.behavior.ClientBehaviorBase

`decode, getHints, getRenderer, getScript`

### Methods inherited from class javax.faces.component.behavior.BehaviorBase

`addBehaviorListener, broadcast, clearInitialState, initialStateMarked, isTransient, markInitialState, removeBehaviorListener, restoreState, saveState, setTransient`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.faces.component.behavior.Behavior

`broadcast`

## Field Details

### BEHAVIOR_ID

public static final String BEHAVIOR_ID

See Also:
  - Constant Field Values

## Constructor Details

### CloseDialogClientBehavior

public CloseDialogClientBehavior()

## Method Details

### getWhenCallbackParam

public String getWhenCallbackParam()

### setWhenCallbackParam

public void setWhenCallbackParam(String whenCallbackParam)

### getWhenValid

public Boolean getWhenValid()

### setWhenValid

public void setWhenValid(Boolean whenValid)

### setTarget

public void setTarget(String target)

### getTarget

public String getTarget()

### setNoAjax

public void setNoAjax(boolean noAjax)

### isNoAjax

public boolean isNoAjax()

### getRendererType

public String getRendererType()

Overrides:
  `getRendererType` in class `javax.faces.component.behavior.ClientBehaviorBase`